Bug 146094 - up2date does not support http proxy
up2date does not support http proxy
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 06:22 EST by Graham Leggett
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:18:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-01-25 06:22:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Up2date seems to have no proxy functionality, despite documentation
saying otherwise.

/etc/sysconfig/rhn/up2date has the following options set:

enableProxy[comment]=Use a HTTP Proxy
enableProxy=1

httpProxy[comment]=HTTP proxy in host:port format, e.g.
squid.redhat.com:3128
httpProxy=127.0.0.1:3128

When running up2date, it hangs trying to connect directly to the RHN
server, instead of via the proxy as configured:

tcp        0      1 172.18.153.71:36130         209.132.177.50:80    
      SYN_
SENT    

Adding the --proxy flag to the command line makes no difference:

[root@localhost i386]# up2date -u --proxy=127.0.0.1:3128
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
There was some sort of I/O error: <urlopen error (4, 'Interrupted
system call')>

There are other bugs in bugzilla that describe problems with up2date
and proxies, but none of them describe the case where proxy support is
entirely missing as in this case, thus this bug report.


Version-Release number of selected component (if applicable):
up2date-4.3.47-5

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 Ricky Ng-Adam 2005-02-09 09:50:04 EST
I can confirm the problem.  Same version, same problem.

/etc/sysconfig/rhn/up2date has this:

httpProxy=142.225.137.28:3128
enableProxy=1

But still tries to connect directly:

[ngadamri@localhost ~]$ netstat -t
Active Internet connections (w/o servers)
Proto Recv-Q Send-Q Local Address               Foreign Address      
      State
tcp        0      1 142.225.125.248:32826       www.redhat.com:http  
      SYN_SEN
Comment 2 Wayne Carruthers 2005-03-15 20:20:29 EST
I can also confirm problem when using yum repositories

Packet trace indicates first call from up2date is a DNS lookup
on the baseurl rather than DNS to proxy or direct to a proxy nominated
as IPNo:PortNo. The interesting part is the local internal domain name
is tacked onto the end of the baseurl in the DNS lookup

Yum also has a proxy problem in the new Ver 2.2.0 which can be solved
by updating the urlgrabber component to the latest (2.9.6) from
duke.edu so updating via yum can be used as a work around in the short
term

This needs attention urgently to help reduce public server loading
Comment 3 mdeiss 2005-06-23 00:35:52 EDT
(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
> rv:1.7.5) Gecko/20041107 Firefox/1.0
> 
> Description of problem:
> Up2date seems to have no proxy functionality, despite documentation
> saying otherwise.
> 
<snip>

I can also confirm the problem, as described.  In my case, I've found no
workaround, including setting environment variables and running
/usr/sbin/up2date directly, instead of through consolehelper.  My proxy server
requires authentication, and such support seems to be entirely broken in
up2date.  Amazingly, the little RHN notification applet on the toolbar mockingly
complains of 200 or so update packages awaiting download.

Someone needs to fix this proxy authentication problem, since its been
fermenting for several years now.  I've had various up2date/proxy problems since
RH9, but have always managed workarounds until authentication was added to our
proxy server.  FYI, my mozilla browser works fine through the proxy.
Comment 4 Matthew Miller 2006-07-10 18:57:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-29 10:18:08 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.